## org.springframework.jmx.access
Class MBeanConnectFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.jmx.JmxException
                          org.springframework.jmx.access.MBeanConnectFailureException

All Implemented Interfaces:
  Serializable

    public class MBeanConnectFailureException

extends JmxException

Thrown when an invocation failed because of an I/O problem on the MBeanServerConnection.

Since:
  2.5.6
Author:
  Juergen Hoeller
See Also:
  `MBeanClientInterceptor`, Serialized Form

Constructor Summary
`MBeanConnectFailureException(String msg, Throwable cause)` Create a new `MBeanConnectFailureException` with the specified error message and root cause.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanConnectFailureException

    public MBeanConnectFailureException(String msg,
                                        Throwable cause)

  Create a new `MBeanConnectFailureException` with the specified error message and root cause.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

Copyright © 2002-2008 The Spring Framework.